Bug 1002294 - xinetd should not depend on NetworkManager-wait-online
xinetd should not depend on NetworkManager-wait-online
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xinetd (Show other bugs)
20
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Jan Synacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 16:16 EDT by Elliott Forney
Modified: 2013-12-13 22:34 EST (History)
2 users (show)

See Also:
Fixed In Version: xinetd-2.3.15-10.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 22:34:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elliott Forney 2013-08-28 16:16:47 EDT
Description of problem:

xinetd currently depends on NetworkManager-wait-online.  This causes a dependency failed warning from systemd during boot when using the plain network service instead of NetworkManager.

xinetd should only depend on network.target in F20.  I am told that network.target will now wait for NetworkManager-wait-online if NetworkManager is enabled.

See bug 921774
Comment 1 Jan Synacek 2013-09-02 07:54:31 EDT
Is it working correctly?

See https://bugzilla.redhat.com/show_bug.cgi?id=748931.
Comment 2 Elliott Forney 2013-10-01 15:50:47 EDT
It works fine but I was told that packages should reference network-online.target instead of NetworkManager-wait-online.service directly.  Not sure how much it really matters.

The details of this discussion are in bug 921774.
Comment 3 Jan Synacek 2013-10-02 01:48:19 EDT
I must have missed the part about 'new in rawhide/f20'. Makes sense now. I'll change it.
Comment 5 Fedora Update System 2013-10-14 05:05:08 EDT
xinetd-2.3.15-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xinetd-2.3.15-9.fc20
Comment 6 Fedora Update System 2013-10-14 15:19:28 EDT
Package xinetd-2.3.15-9.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xinetd-2.3.15-9.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19070/xinetd-2.3.15-9.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-12-03 05:24:04 EST
xinetd-2.3.15-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xinetd-2.3.15-10.fc20
Comment 8 Fedora Update System 2013-12-13 22:34:04 EST
xinetd-2.3.15-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.